Class EXTFlashGrenade extends ThrownProjectile;

auto simulated state Flying
{
	simulated function Explode(vector HitLocation, vector HitNormal)
	{
		local DeusExPlayer player,jd;
		local float dist;

		player = DeusExPlayer(Owner);

		// Stagger length of blinding by distance from grenade.

		foreach RadiusActors(class'DeusExPlayer',jd,BlastRadius*2,location)
		{
			dist = Abs(VSize(jd.Location - Location));
			if (dist ~= 0)
				dist = 10.0;
			else
				dist = 2.5 * FClamp(blastRadius/dist, 0.0, 4.0);
			jd.ClientFlash(0.5, vect(1000,1000,1000));
			jd.IncreaseClientFlashLength(dist);
			dist=0.0;
		}

		if ((Level.NetMode != NM_DedicatedServer) || (Role < ROLE_Authority) || bDamaged)
		{
			SpawnEffects(HitLocation, HitNormal, None);
			DrawExplosionEffects(HitLocation, HitNormal);
		}

		PlayImpactSound();

		if ( AISoundLevel > 0.0 )
			AISendEvent('LoudNoise', EAITYPE_Audio, 2.0, AISoundLevel*blastRadius*16);

		GotoState('Exploding');
	}
}

defaultproperties
{
    elasticity=0.35
    fuseLength=4.00
    ItemName="Flash Grenade"
    Damage=0.00
    ExplosionDecal=None
    Mesh=class'DeusExItems.EMPGrenade3rd'
}