Class WeaponFlashGren extends DeusExWeapon;

function PostBeginPlay()
{
	Super.PostBeginPlay();
	bWeaponStay=False;
}

// Become a pickup
// Weapons that carry their ammo with them don't vanish when dropped
function BecomePickup()
{
	Super.BecomePickup();
	if (Level.NetMode != NM_Standalone)
	if (bTossedOut)
		Lifespan = 0.0;
}

simulated function bool NearWallCheck()
{
	return False;
}

simulated function bool TestMPBeltSpot(int BeltSpot)
{
	return 5;
}

defaultproperties
{
    maxRange=2400
    AccurateRange=1800
    BaseAccuracy=0.40
    bHasMuzzleFlash=False
    bHandToHand=True
    AmmoName=Class'FlashBang.AmmoFlashGren'
    ProjectileClass=Class'FlashBang.EXTFlashGrenade'
    SelectSound=Sound'DeusExSounds.Weapons.EMPGrenadeSelect'
    InventoryGroup=232
    ItemName="Flash Grenade"
    PlayerViewMesh=LodMesh'DeusExItems.EMPGrenade'
    PickupViewMesh=LodMesh'DeusExItems.EMPGrenadePickup'
    ThirdPersonMesh=LodMesh'DeusExItems.EMPGrenade3rd'
    Icon=Texture'DeusExUI.Icons.BeltIconEMPGrenade'
    Description="A grenade which, upon detonation, causes temporary blindness to targets in the direct area."
    beltDescription="FLASH"
    Mesh=LodMesh'DeusExItems.EMPGrenadePickup'
    CollisionRadius=4.00
    CollisionHeight=3.00
    ReloadCount=1
    PickupAmmoCount=1
    FireOffset=(X=0.00,Y=10.00,Z=20.00),
    PlayerViewOffset=(X=24.00,Y=-15.00,Z=-17.00),
}